#
# spec file for package aseqview (Version 0.1.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel freetype2 glib glib-devel gtk gtk-devel xf86
# usedforbuild    aaa_base aaa_dir alsa alsa-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         aseqview
Summary:      ALSA Sequencer Event Viewer
Version:      0.1.4
Release:      68
Copyright: GPL
Group: X11/Applications/Sound
BuildRoot: /tmp/%{name}-%{version}-root
URL: http//members.tripod.de/iwai/alsa.html
Source: %{name}-%{version}.tar.bz2

%description
ASeqView is an ALSA sequencer user-client which works as event viewer
and event filter.  It visualizes received events, e.g. note-on/off,
controls, pitch wheels, using bar graphs, as often seen in many sequencer
applications.

Authors:
--------
    Takashi Iwai <tiwai@suse.de>

SuSE series: snd

%prep
%setup -n %{name}-%{version}

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize -f
aclocal
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} --mandir=%{_mandir}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/*
%doc README NEWS AUTHORS ChangeLog
%doc %{_mandir}/man*/*

%changelog -n aseqview
* Fri Jul 13 2001 - tiwai@suse.de
- updated to ver.0.1.4.
- use _prefix and co.
- fixed file lists.
* Fri Nov 17 2000 - tiwai@suse.de
- Use RPM_OPT_FLAGS to configure.
* Thu Nov 02 2000 - tiwai@suse.de
- Fixed 0.1.2f archive.
* Thu Nov 02 2000 - tiwai@suse.de
- Updated to version 0.1.2f.
- Fixed spec file for long package-name support.
- Use bzip2 for archive.
* Fri Jun 09 2000 - tiwai@suse.de
- new package - ALSA sequencer event viewer
  version: 0.1.2e
